            #GIT_CMT=e639d5a1f0485f3a3112400b81271ac0f2ffc3a3
%global flavor vos

# To update the the content of oracle-rdma-release:
#     1. Update the release and/or version of the RPM(s) in the list below
#     2. Update the release and/or version of this RPM
#
# Caution: Exact [epoch:]version-release is needed. If the epoch is 0, it may
#          be ommitted.

%define uek_ibacm                %{uek_rdma_core} 
%define uek_ibutils              5:1.5.7-0.2.gbd7e502.0.6
%define uek_infiniband_diags     5:2.0.0-1.0.3
%define uek_libibacl             0:1.0-7
%define uek_libibumad            %{uek_rdma_core} 
%define uek_libibverbs           %{uek_rdma_core}
%define uek_libibverbs_utils     %{uek_libibverbs}
%define uek_librdmacm            %{uek_rdma_core}
%define uek_librdmacm_utils      %{uek_librdmacm}
%define uek_mstflint             5:4.10.0-2.0.2
%define uek_opensm_libs          5:3.3.20-1.0.3
%define uek_oracle_rdma_tools    0:0.6.0-2
%define uek_perftest             5:4.2-1.0.3
%define uek_qperf                5:0.4.11-1.0.3
%define uek_rdma_core            5:17.1-1.0.4
%define uek_rdma_core_devel      %{uek_rdma_core}
%define uek_rds_tools            0:2.1.1-2

%define debug_package %{nil}

Name:           oracle-rdma-release           
Version:        0.4.0 
Release:        1%{?dist}%{?flavor}
Summary:        Oracle RDMA userspace libraries, utilities, and daemons (Oracle VOS)

License:        GPLv2 or BSD     
Source0: oracle-rdma-release-0.4.0.tar.bz2

Requires:       ibacm             = %{uek_ibacm}%{?dist}%{?flavor}
Requires:       ibutils           = %{uek_ibutils}%{?dist}%{?flavor}
Requires:       infiniband-diags  = %{uek_infiniband_diags}%{?dist}%{?flavor}
Requires:       libibacl          = %{uek_libibacl}%{?dist}%{?flavor}
Requires:       libibumad         = %{uek_libibumad}%{?dist}%{?flavor}
Requires:       libibverbs        = %{uek_libibverbs}%{?dist}%{?flavor}
Requires:       libibverbs-utils  = %{uek_libibverbs_utils}%{?dist}%{?flavor}
Requires:       librdmacm         = %{uek_librdmacm}%{?dist}%{?flavor}
Requires:       librdmacm-utils   = %{uek_librdmacm_utils}%{?dist}%{?flavor}
Requires:       mstflint          = %{uek_mstflint}%{?dist}%{?flavor}
Requires:       opensm-libs       = %{uek_opensm_libs}%{?dist}%{?flavor}
Requires:       oracle-rdma-tools = %{uek_oracle_rdma_tools}%{?dist}%{?flavor}
Requires:       perftest          = %{uek_perftest}%{?dist}%{?flavor}
Requires:       qperf             = %{uek_qperf}%{?dist}%{?flavor}
Requires:       rdma-core         = %{uek_rdma_core}%{?dist}%{?flavor}
Requires:       rdma-core-devel   = %{uek_rdma_core_devel}%{?dist}%{?flavor}
Requires:       rds-tools         = %{uek_rds_tools}%{?dist}%{?flavor}


%description
This installs the set of packages that comprise the Oracle RDMA userspace
release for bare-metal and Dom0

For use on Oracle Linux systems running the Oracle Database Virtual OS
(VOS) layer.


%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT


%files
%doc COPYING


%changelog
* Mon Aug 27 2018 Aron Silverton <aron.silverton@oracle.com> - 0:0.4.0-1
- BUILDINFO: commit=e639d5a1f0485f3a3112400b81271ac0f2ffc3a3
- Add "vos" to RPM release number (Aron Silverton) [Orabug 28550856]
- ibacm:                Release v5:17.1-1.0.4
- ibutils:              Release v5:1.5.7-0.2.gbd7e502.0.6
- infiniband-diags:     Release v5:2.0.0-1.0.3
- libibacl:             Release v0:1.0-7
- libibumad:            Release v5:17.1-1.0.4
- libibverbs:           Release v5:17.1-1.0.4
- libibverbs-utils:     Release v5:17.1-1.0.4
- librdmacm:            Release v5:17.1-1.0.4
- librdmacm-utils:      Release v5:17.1-1.0.4
- mstflint:             Release v5:4.10.0-2.0.2
- opensm-libs:          Release v5:3.3.20-1.0.3
- oracle-rdma-tools:    Release v0:0.6.0-2
- perftest:             Release v5:4.2-1.0.3
- qperf:                Release v5:0.4.11-1.0.3
- rdma-core:            Release v5:17.1-1.0.4
- rdma-core-devel:      Release v5:17.1-1.0.4
- rds-tools:            Release v0:2.1.1-2

* Wed Jul 11 2018 Aron Silverton <aron.silverton@oracle.com> - 0.3.0-1
- ibacm: Release v5:17.1-1.0.3
- libibumad: Release v5:17.1-1.0.3
- libibverbs: Release v5:17.1-1.0.3
- libibverbs-utils: Release v5:17.1-1.0.3
- librdmacm: Release v5:17.1-1.0.3
- librdmacm-utils: Release v5:17.1-1.0.3
- mstflint: Release v5:4.9.0-3.0.2
- rdma-core: Release v5:17.1-1.0.3
- rdma-core-devel: Release v5:17.1-1.0.3

* Wed May 30 2018 Aron Silverton <aron.silverton@oracle.com> - 0.2.0-1
- First release (Aron Silverton) [Orabug: 27774601]
